This is a code block using 4 spaces syntax:
    class Something
      def method(param)
      end
    end

This is a code block using 3-backticks ```:

```
This is a code block without any specific language
```

This is a code block specifying a language:

```ruby
class Something
  def method(param)
  end
end
```
